Draft Join/ru: Difference between revisions

From FreeCAD Documentation
No edit summary
No edit summary
Line 1: Line 1:
<languages/>
<languages/>


<div class="mw-translate-fuzzy">
{{Docnav/ru
{{Docnav/ru
|[[Draft_SubelementHighlight/ru|SubelementHighlight]]
|[[Draft_Trimex/ru|Trim/Extend (Trimex)]]
|[[Draft Split/ru|Split]]
|[[Draft_Split/ru|Разделить]]
|[[Draft_Workbench/ru|Draft]]
|[[Draft_Workbench/ru|Верстак Draft]]
|IconL=Draft_Trimex.svg
|IconL=Draft_SubelementHighlight.svg
|IconR=Draft_Split.svg
|IconC=Workbench_Draft.svg
|IconC=Workbench_Draft.svg
|IconR=Draft_Split.svg
}}
}}
</div>


<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
Line 24: Line 22:
</div>
</div>


<span id="Description"></span>
==Описание==
==Описание==


The [[Image:Draft_Join.svg|24px]] '''Draft Join''' command joins [[Draft_Line|Draft Lines]] and [[Draft_Wire|Draft Wires]] into a single wire. This command is the counterpart of the [[Draft_Split|Draft Split]] command.
The [[Image:Draft_Join.svg|24px]] '''Draft Join''' command joins [[Draft_Line|Draft Lines]] and [[Draft_Wire|Draft Wires]] into a single wire. This command is the counterpart of the [[Draft_Split|Draft Split]] command.


<span id="Usage"></span>
==Применение==
==Применение==



Revision as of 06:26, 4 March 2023

Draft Join

Системное название
Draft Join
Расположение в меню
Draft → Join
Верстаки
Draft, Arch
Быстрые клавиши
J O
Представлено в версии
0.18
См. также
Draft Split

Описание

The Draft Join command joins Draft Lines and Draft Wires into a single wire. This command is the counterpart of the Draft Split command.

Применение

  1. The end points of the Draft Lines and/or Draft Wires to be joined must be exactly coincident. If required first adjust points to ensure that this is the case.
  2. Select two or more Draft Lines and/or Draft Wires.
  3. There are several ways to invoke the command:
    • Press the Draft Join button.
    • Select the Modification → Join option from the menu.
    • Use the keyboard shortcut: J then O.

Notes

Scripting

See also: Autogenerated API documentation and FreeCAD Scripting Basics.

To join wires use the join_wires method (introduced in version 0.19) of the Draft module. This methods replaces the deprecated joinWires method. This method returns None.

join_wires(wires)
  • wires is a list of wire objects to be joined.

Example:

import FreeCAD as App
import Draft

doc = App.newDocument()

p1 = App.Vector(0, 0, 0)
p2 = App.Vector(500, 0, 0)
p3 = App.Vector(500, 500, 0)
p4 = App.Vector(0, 500, 0)

wire1 = Draft.make_wire([p1, p2])
wire2 = Draft.make_wire([p2, p3])
wire3 = Draft.make_wire([p3, p4])
wire4 = Draft.make_wire([p4, p1])

Draft.join_wires([wire1, wire3, wire2, wire4])
doc.recompute()